Support » Plugin: WP GPX Maps » Old tracks work, new tracks don’t display + have php errors

  • Resolved AdventureRidingNZ

    (@adventureridingnz)


    I have had my site running for several years and have ~150 GPX tracks loaded, all my my existing GPX uploads work fine,
    E.g. http://www.adventureridingnz.co.nz/gps-tracks-rides/north-island-tracks/aotearoa-road/

    I am trying to load new tracks and any new GPX files I load do not display correctly. The Google Map loads but the GPX track file is not displayed over it.
    E.g. http://www.adventureridingnz.co.nz/gps-tracks-rides/north-island-tracks/pillars-of-hercules/

    I ran Query Monitor and on pages with a new GPX track there are quite a few php errors for WP-GPX Maps, but old tracks do not have these errors.

    Creating default object from empty value /wp-gpx-maps_utils.php:194
    SimpleXMLElement::xpath(): Invalid expression /wp-gpx-maps_utils.php:223
    SimpleXMLElement::xpath(): xmlXPathEval: evaluation failed /wp-gpx-maps_utils.php:223
    Invalid argument supplied for foreach() /wp-gpx-maps_utils.php:230
    array_pop() expects exactly 1 parameter, 2 given /wp-gpx-maps_utils.php:402
    array_pop() expects exactly 1 parameter, 2 given /wp-gpx-maps_utils.php:403
    array_pop() expects exactly 1 parameter, 2 given /wp-gpx-maps_utils.php:404
    array_pop() expects exactly 1 parameter, 2 given /wp-gpx-maps_utils.php:405
    array_pop() expects exactly 1 parameter, 2 given /wp-gpx-maps_utils.php:406
    array_pop() expects exactly 1 parameter, 2 given /wp-gpx-maps_utils.php:407
    array_pop() expects exactly 1 parameter, 2 given /wp-gpx-maps_utils.php:408
    array_pop() expects exactly 1 parameter, 2 given /wp-gpx-maps_utils.php:409
    array_pop() expects exactly 1 parameter, 2 given /wp-gpx-maps_utils.php:410
    array_pop() expects exactly 1 parameter, 2 given /wp-gpx-maps_utils.php:411
    max(): Array must contain at least one element /wp-gpx-maps_utils.php:417
    min(): Array must contain at least one element /wp-gpx-maps_utils.php:418
    max(): Array must contain at least one element /wp-gpx-maps_utils.php:419
    max(): Array must contain at least one element /wp-gpx-maps_utils.php:420
    min(): Array must contain at least one element /wp-gpx-maps_utils.php:421
    Division by zero /wp-gpx-maps_utils.php:423

    Any php whizzes out there that could see what’s happening?

    Eddie

Viewing 2 replies - 1 through 2 (of 2 total)
Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Old tracks work, new tracks don’t display + have php errors’ is closed to new replies.